#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 config-ini
version:              0.2.4.0
visibility:           public
id:                   config-ini-0.2.4.0-4mvMhhj7Z7tLRJTCUBC1xO
key:                  config-ini-0.2.4.0-4mvMhhj7Z7tLRJTCUBC1xO
license:              BSD-3-Clause
copyright:            ©2018 Getty Ritter
maintainer:           Getty Ritter <config-ini@infinitenegativeutility.com>
author:               Getty Ritter <config-ini@infinitenegativeutility.com>
homepage:             https://github.com/aisamanra/config-ini
synopsis:             A library for simple INI-based configuration files.
description:
    The @config-ini@ library is a set of small monadic languages
    for writing simple configuration languages with convenient,
    human-readable error messages.

    > parseConfig :: IniParser (Text, Int, Bool)
    > parseConfig = section "NETWORK" $ do
    >   user <- field        "user"
    >   port <- fieldOf      "port" number
    >   enc  <- fieldFlagDef "encryption" True
    >   return (user, port, enc)

category:             Configuration
abi:                  81beb25027e3e5261e43da91f037fbdb
exposed:              True
exposed-modules:
    Data.Ini.Config Data.Ini.Config.Bidir Data.Ini.Config.Raw

import-dirs:          /usr/lib/ghc-8.10.4/site-local/config-ini-0.2.4.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/config-ini-0.2.4.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/config-ini-0.2.4.0
hs-libraries:         HSconfig-ini-0.2.4.0-4mvMhhj7Z7tLRJTCUBC1xO
depends:
    base-4.14.1.0 containers-0.6.2.1
    megaparsec-9.0.1-JbRi5hjG0YmF7AfAE1QMW3 text-1.2.4.1
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-94DE2H23X5h1Ldwd7Iq5e6

haddock-interfaces:   /usr/share/doc/haskell-config-ini/html/config-ini.haddock
haddock-html:         /usr/share/doc/haskell-config-ini/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

